//
//  OnlyProRequestsScreen.swift
//  Sequoia
//
//  Created by Victor on 09/10/2024.
//

import SwiftUI

struct OnlyProRequestsScreen: View {
    @ObservedObject var viewModel: PromotionalScreenViewModel
    @State private var navigateToNext = false

    var body: some View {
        VStack(spacing: 16) {
            VStack(spacing: 32) {
                SQText("Demandes réservées aux pros")
                    .sqSize(20)
                    .sqFont(.bold)
                    .multilineTextAlignment(.center)
                Image("only_for_pro")
                    .resizable()
                    .scaledToFit()
                    .frame(height: 60)
                VStack {
                    SQText("4 fois plus")
                        .sqSize(32)
                        .sqFont(.bold)
                    SQText("de demandes publiées réservées aux pros")
                    SQText("*entre 2023 et 2024.")
                        .sqSize(11)
                }
                VStack {
                    SQText("Le saviez-vous ?")
                        .sqFont(.semiBold)
                    SQText("Sur le menu abonnement, vous pouvez filtrer les demandes réservées aux pros.")
                        .multilineTextAlignment(.center)
                }
                SQButton("Voir les demandes") {
                    navigateToNext = true
                }
                .sqColorScheme(.grape)
            }
            .padding(16)
            .background(Color.sqGrape(10))
            .cornerRadius(8)

            SQButton("J’ai compris, mais je souhaite résilier") {
                navigateToNext = true
            }
            .sqButtonType(.glass)
            .sqTextSize(13)
        }
        .navigationDestination(isPresented: $navigateToNext) {
            if let screen = viewModel.nextPromotionalScreen {
                viewModel.getPromotionalScreenNew(for: screen)
            } else {
                ResiliationConfirmationScreen()
            }
        }
        .sqNavigationBar(title: "Ne partez pas !")
        .padding()
    }
}

#Preview {
    OnlyProRequestsScreen(viewModel: PromotionalScreenViewModel())
}
